import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebAppDto } from '../model/priamosWebAppDto';
import { PriamosWebSubappDto } from '../model/priamosWebSubappDto';
import { PriamosWebUsergroupDto } from '../model/priamosWebUsergroupDto';
import { PriamosWebUserroleDto } from '../model/priamosWebUserroleDto';
import { Configuration } from '../configuration';
export declare class PriamosWebAssignmentService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param appId
     * @param userId
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentAddPriamosWebUserApp(appId: number, userId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebAssignmentAddPriamosWebUserApp(appId: number, userId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebAssignmentAddPriamosWebUserApp(appId: number, userId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param groupId
     * @param userId
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentAddPriamosWebUserGroup(groupId: number, userId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebAssignmentAddPriamosWebUserGroup(groupId: number, userId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebAssignmentAddPriamosWebUserGroup(groupId: number, userId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param subappId
     * @param userId
     * @param position
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentAddPriamosWebUserSubapp(subappId: number, userId: number, position: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebAssignmentAddPriamosWebUserSubapp(subappId: number, userId: number, position: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebAssignmentAddPriamosWebUserSubapp(subappId: number, userId: number, position: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param userId
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentDeletePriamosWebUserAssignments(userId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebAssignmentDeletePriamosWebUserAssignments(userId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebAssignmentDeletePriamosWebUserAssignments(userId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentGetPriamosWebApps(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebAppDto>>;
    priamosWebAssignmentGetPriamosWebApps(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebAppDto>>>;
    priamosWebAssignmentGetPriamosWebApps(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebAppDto>>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentGetPriamosWebGroups(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebUsergroupDto>>;
    priamosWebAssignmentGetPriamosWebGroups(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebUsergroupDto>>>;
    priamosWebAssignmentGetPriamosWebGroups(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebUsergroupDto>>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentGetPriamosWebSubapps(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebSubappDto>>;
    priamosWebAssignmentGetPriamosWebSubapps(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebSubappDto>>>;
    priamosWebAssignmentGetPriamosWebSubapps(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebSubappDto>>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebAssignmentGetPriamosWebUserroles(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebUserroleDto>>;
    priamosWebAssignmentGetPriamosWebUserroles(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebUserroleDto>>>;
    priamosWebAssignmentGetPriamosWebUserroles(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebUserroleDto>>>;
}
