import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebEmailConfigDto } from '../model/priamosWebEmailConfigDto';
import { Configuration } from '../configuration';
export declare class PriamosWebConfigService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebConfigGetPriamosEmailConfig(observe?: 'body', reportProgress?: boolean): Observable<PriamosWebEmailConfigDto>;
    priamosWebConfigGetPriamosEmailConfig(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebEmailConfigDto>>;
    priamosWebConfigGetPriamosEmailConfig(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebEmailConfigDto>>;
    /**
     *
     *
     * @param priamosWebEmailConfigDto
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebConfigUpdatePriamosWebEmailConfig(priamosWebEmailConfigDto: PriamosWebEmailConfigDto, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebConfigUpdatePriamosWebEmailConfig(priamosWebEmailConfigDto: PriamosWebEmailConfigDto, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebConfigUpdatePriamosWebEmailConfig(priamosWebEmailConfigDto: PriamosWebEmailConfigDto, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
