import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebUsergroupDto } from '../model/priamosWebUsergroupDto';
import { Configuration } from '../configuration';
export declare class PriamosWebGroupService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param userid
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebGroupGetPriamosWebGroupByUserId(userid: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUsergroupDto>;
    priamosWebGroupGetPriamosWebGroupByUserId(userid: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUsergroupDto>>;
    priamosWebGroupGetPriamosWebGroupByUserId(userid: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUsergroupDto>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebGroupGetPriamosWebGroups(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebUsergroupDto>>;
    priamosWebGroupGetPriamosWebGroups(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebUsergroupDto>>>;
    priamosWebGroupGetPriamosWebGroups(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebUsergroupDto>>>;
}
