import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebUserDto } from '../model/priamosWebUserDto';
import { PriamosWebUserSubappDto } from '../model/priamosWebUserSubappDto';
import { PriamosWebUserUsergroupDto } from '../model/priamosWebUserUsergroupDto';
import { PriamosWebUserUserroleDto } from '../model/priamosWebUserUserroleDto';
import { PriamosWebUserprofileDto } from '../model/priamosWebUserprofileDto';
import { Configuration } from '../configuration';
export declare class PriamosWebLoginService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginAlive(observe?: 'body', reportProgress?: boolean): Observable<string>;
    priamosWebLoginAlive(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    priamosWebLoginAlive(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    /**
     *
     *
     * @param username
     * @param password
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebAccessAllowed(username: string, password: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebLoginGetPriamosWebAccessAllowed(username: string, password: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebLoginGetPriamosWebAccessAllowed(username: string, password: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param username
     * @param password
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebAccessUserDto(username: string, password: string, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserDto>;
    priamosWebLoginGetPriamosWebAccessUserDto(username: string, password: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserDto>>;
    priamosWebLoginGetPriamosWebAccessUserDto(username: string, password: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserDto>>;
    /**
     *
     *
     * @param userid
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebUserGroups(userid: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserUsergroupDto>;
    priamosWebLoginGetPriamosWebUserGroups(userid: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserUsergroupDto>>;
    priamosWebLoginGetPriamosWebUserGroups(userid: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserUsergroupDto>>;
    /**
     *
     *
     * @param userId
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebUserProfile(userId: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserprofileDto>;
    priamosWebLoginGetPriamosWebUserProfile(userId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserprofileDto>>;
    priamosWebLoginGetPriamosWebUserProfile(userId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserprofileDto>>;
    /**
     *
     *
     * @param userid
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebUserSubapps(userid: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserSubappDto>;
    priamosWebLoginGetPriamosWebUserSubapps(userid: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserSubappDto>>;
    priamosWebLoginGetPriamosWebUserSubapps(userid: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserSubappDto>>;
    /**
     *
     *
     * @param userid
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebLoginGetPriamosWebUserroleByUserId(userid: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserUserroleDto>;
    priamosWebLoginGetPriamosWebUserroleByUserId(userid: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserUserroleDto>>;
    priamosWebLoginGetPriamosWebUserroleByUserId(userid: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserUserroleDto>>;
}
