import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebMetadataDto } from '../model/priamosWebMetadataDto';
import { Configuration } from '../configuration';
export declare class PriamosWebMetadataService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebMetadataGetPriamosWebMessages(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebMetadataDto>>;
    priamosWebMetadataGetPriamosWebMessages(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebMetadataDto>>>;
    priamosWebMetadataGetPriamosWebMessages(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebMetadataDto>>>;
}
