import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { PriamosWebUserDto } from '../model/priamosWebUserDto';
import { Configuration } from '../configuration';
export declare class PriamosWebUserService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserAlive(observe?: 'body', reportProgress?: boolean): Observable<string>;
    priamosWebUserAlive(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    priamosWebUserAlive(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    /**
     *
     *
     * @param priamosWebUserDto
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserCreatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebUserCreatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebUserCreatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param id
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserDeletePriamosWebUser(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebUserDeletePriamosWebUser(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebUserDeletePriamosWebUser(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param id
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserGetPriamosWebUserById(id: number, observe?: 'body', reportProgress?: boolean): Observable<PriamosWebUserDto>;
    priamosWebUserGetPriamosWebUserById(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<PriamosWebUserDto>>;
    priamosWebUserGetPriamosWebUserById(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<PriamosWebUserDto>>;
    /**
     *
     *
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserGetPriamosWebUsers(observe?: 'body', reportProgress?: boolean): Observable<Array<PriamosWebUserDto>>;
    priamosWebUserGetPriamosWebUsers(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<PriamosWebUserDto>>>;
    priamosWebUserGetPriamosWebUsers(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<PriamosWebUserDto>>>;
    /**
     *
     *
     * @param priamosWebUserDto
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserUpdatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebUserUpdatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebUserUpdatePriamosWebUser(priamosWebUserDto: PriamosWebUserDto, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    /**
     *
     *
     * @param userId
     * @param roleId
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    priamosWebUserUpdatePriamosWebUserRole(userId: number, roleId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    priamosWebUserUpdatePriamosWebUserRole(userId: number, roleId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    priamosWebUserUpdatePriamosWebUserRole(userId: number, roleId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
