(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common/http'), require('@angular/core')) :
	typeof define === 'function' && define.amd ? define('@zeusautomation/priamosweb-angular-api', ['exports', '@angular/common/http', '@angular/core'], factory) :
	(factory((global.zeusautomation = global.zeusautomation || {}, global.zeusautomation['priamosweb-angular-api'] = {}),global.ng.common.http,global.ng.core));
}(this, (function (exports,http,core) { 'use strict';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.
See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */
var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return extendStatics(d, b);
};
function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}








function __values(o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
}

var CustomHttpUrlEncodingCodec = /** @class */ (function (_super) {
    __extends(CustomHttpUrlEncodingCodec, _super);
    function CustomHttpUrlEncodingCodec() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CustomHttpUrlEncodingCodec.prototype.encodeKey = function (k) {
        k = _super.prototype.encodeKey.call(this, k);
        return k.replace(/\+/gi, '%2B');
    };
    CustomHttpUrlEncodingCodec.prototype.encodeValue = function (v) {
        v = _super.prototype.encodeValue.call(this, v);
        return v.replace(/\+/gi, '%2B');
    };
    return CustomHttpUrlEncodingCodec;
}(http.HttpUrlEncodingCodec));
var BASE_PATH = new core.InjectionToken('basePath');
var COLLECTION_FORMATS = {
    'csv': ',',
    'tsv': '   ',
    'ssv': ' ',
    'pipes': '|'
};
var Configuration = /** @class */ (function () {
    function Configuration(configurationParameters) {
        if (configurationParameters === void 0) { configurationParameters = {}; }
        this.apiKeys = configurationParameters.apiKeys;
        this.username = configurationParameters.username;
        this.password = configurationParameters.password;
        this.accessToken = configurationParameters.accessToken;
        this.basePath = configurationParameters.basePath;
        this.withCredentials = configurationParameters.withCredentials;
    }
    Configuration.prototype.selectHeaderContentType = function (contentTypes) {
        var _this = this;
        if (contentTypes.length == 0) {
            return undefined;
        }
        var type = contentTypes.find(function (x) { return _this.isJsonMime(x); });
        if (type === undefined) {
            return contentTypes[0];
        }
        return type;
    };
    Configuration.prototype.selectHeaderAccept = function (accepts) {
        var _this = this;
        if (accepts.length == 0) {
            return undefined;
        }
        var type = accepts.find(function (x) { return _this.isJsonMime(x); });
        if (type === undefined) {
            return accepts[0];
        }
        return type;
    };
    Configuration.prototype.isJsonMime = function (mime) {
        var jsonMime = new RegExp('^(application\/json|[^;/ \t]+\/[^;/ \t]+[+]json)[ \t]*(;.*)?$', 'i');
        return mime != null && (jsonMime.test(mime) || mime.toLowerCase() === 'application/json-patch+json');
    };
    return Configuration;
}());
var PriamosWebAssignmentService = /** @class */ (function () {
    function PriamosWebAssignmentService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebAssignmentService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_1 = __values(consumes), consumes_1_1 = consumes_1.next(); !consumes_1_1.done; consumes_1_1 = consumes_1.next()) {
                var consume = consumes_1_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (consumes_1_1 && !consumes_1_1.done && (_a = consumes_1.return)) _a.call(consumes_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return false;
        var e_1, _a;
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentAddPriamosWebUserApp = function (appId, userId, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (appId === null || appId === undefined) {
            throw new Error('Required parameter appId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserApp.');
        }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserApp.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (appId !== undefined && appId !== null) {
            queryParameters = queryParameters.set('appId', (appId));
        }
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebAssignment/AddPriamosWebUserApp", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentAddPriamosWebUserGroup = function (groupId, userId, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (groupId === null || groupId === undefined) {
            throw new Error('Required parameter groupId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserGroup.');
        }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserGroup.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (groupId !== undefined && groupId !== null) {
            queryParameters = queryParameters.set('groupId', (groupId));
        }
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebAssignment/AddPriamosWebUserGroup", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentAddPriamosWebUserSubapp = function (subappId, userId, position, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (subappId === null || subappId === undefined) {
            throw new Error('Required parameter subappId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserSubapp.');
        }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebAssignmentAddPriamosWebUserSubapp.');
        }
        if (position === null || position === undefined) {
            throw new Error('Required parameter position was null or undefined when calling priamosWebAssignmentAddPriamosWebUserSubapp.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (subappId !== undefined && subappId !== null) {
            queryParameters = queryParameters.set('subappId', (subappId));
        }
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        if (position !== undefined && position !== null) {
            queryParameters = queryParameters.set('position', (position));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebAssignment/AddPriamosWebUserSubapp", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentDeletePriamosWebUserAssignments = function (userId, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebAssignmentDeletePriamosWebUserAssignments.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.delete(this.basePath + "/api/PriamosWebAssignment/DeletePriamosWebUserAssignments", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentGetPriamosWebApps = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebAssignment/GetPriamosWebApps", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentGetPriamosWebGroups = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebAssignment/GetPriamosWebGroups", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentGetPriamosWebSubapps = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebAssignment/GetPriamosWebSubapps", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebAssignmentService.prototype.priamosWebAssignmentGetPriamosWebUserroles = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebAssignment/GetPriamosWebUserroles", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebAssignmentService;
}());
PriamosWebAssignmentService.decorators = [
    { type: core.Injectable },
];
PriamosWebAssignmentService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var PriamosWebConfigService = /** @class */ (function () {
    function PriamosWebConfigService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebConfigService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_2 = __values(consumes), consumes_2_1 = consumes_2.next(); !consumes_2_1.done; consumes_2_1 = consumes_2.next()) {
                var consume = consumes_2_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (consumes_2_1 && !consumes_2_1.done && (_a = consumes_2.return)) _a.call(consumes_2);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return false;
        var e_2, _a;
    };
    PriamosWebConfigService.prototype.priamosWebConfigGetPriamosEmailConfig = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebConfig/GetPriamosEmailConfig", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebConfigService.prototype.priamosWebConfigUpdatePriamosWebEmailConfig = function (priamosWebEmailConfigDto, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (priamosWebEmailConfigDto === null || priamosWebEmailConfigDto === undefined) {
            throw new Error('Required parameter priamosWebEmailConfigDto was null or undefined when calling priamosWebConfigUpdatePriamosWebEmailConfig.');
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        var consumes = [
            'application/json'
        ];
        var httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.put(this.basePath + "/api/PriamosWebConfig/UpdatePriamosWebEmailConfig", priamosWebEmailConfigDto, {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebConfigService;
}());
PriamosWebConfigService.decorators = [
    { type: core.Injectable },
];
PriamosWebConfigService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var PriamosWebGroupService = /** @class */ (function () {
    function PriamosWebGroupService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebGroupService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_3 = __values(consumes), consumes_3_1 = consumes_3.next(); !consumes_3_1.done; consumes_3_1 = consumes_3.next()) {
                var consume = consumes_3_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_3_1) { e_3 = { error: e_3_1 }; }
        finally {
            try {
                if (consumes_3_1 && !consumes_3_1.done && (_a = consumes_3.return)) _a.call(consumes_3);
            }
            finally { if (e_3) throw e_3.error; }
        }
        return false;
        var e_3, _a;
    };
    PriamosWebGroupService.prototype.priamosWebGroupGetPriamosWebGroupByUserId = function (userid, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userid === null || userid === undefined) {
            throw new Error('Required parameter userid was null or undefined when calling priamosWebGroupGetPriamosWebGroupByUserId.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userid !== undefined && userid !== null) {
            queryParameters = queryParameters.set('userid', (userid));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebGroup/GetPriamosWebGroupByUserId", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebGroupService.prototype.priamosWebGroupGetPriamosWebGroups = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebGroup/GetPriamosWebGroups", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebGroupService;
}());
PriamosWebGroupService.decorators = [
    { type: core.Injectable },
];
PriamosWebGroupService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var PriamosWebLoginService = /** @class */ (function () {
    function PriamosWebLoginService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebLoginService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_4 = __values(consumes), consumes_4_1 = consumes_4.next(); !consumes_4_1.done; consumes_4_1 = consumes_4.next()) {
                var consume = consumes_4_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_4_1) { e_4 = { error: e_4_1 }; }
        finally {
            try {
                if (consumes_4_1 && !consumes_4_1.done && (_a = consumes_4.return)) _a.call(consumes_4);
            }
            finally { if (e_4) throw e_4.error; }
        }
        return false;
        var e_4, _a;
    };
    PriamosWebLoginService.prototype.priamosWebLoginAlive = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebLogin/Alive", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebAccessAllowed = function (username, password, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (username === null || username === undefined) {
            throw new Error('Required parameter username was null or undefined when calling priamosWebLoginGetPriamosWebAccessAllowed.');
        }
        if (password === null || password === undefined) {
            throw new Error('Required parameter password was null or undefined when calling priamosWebLoginGetPriamosWebAccessAllowed.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (username !== undefined && username !== null) {
            queryParameters = queryParameters.set('username', (username));
        }
        if (password !== undefined && password !== null) {
            queryParameters = queryParameters.set('password', (password));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebLogin/GetPriamosWebAccessAllowed", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebAccessUserDto = function (username, password, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (username === null || username === undefined) {
            throw new Error('Required parameter username was null or undefined when calling priamosWebLoginGetPriamosWebAccessUserDto.');
        }
        if (password === null || password === undefined) {
            throw new Error('Required parameter password was null or undefined when calling priamosWebLoginGetPriamosWebAccessUserDto.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (username !== undefined && username !== null) {
            queryParameters = queryParameters.set('username', (username));
        }
        if (password !== undefined && password !== null) {
            queryParameters = queryParameters.set('password', (password));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebLogin/GetPriamosWebAccessUserDto", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebUserGroups = function (userid, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userid === null || userid === undefined) {
            throw new Error('Required parameter userid was null or undefined when calling priamosWebLoginGetPriamosWebUserGroups.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userid !== undefined && userid !== null) {
            queryParameters = queryParameters.set('userid', (userid));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebLogin/GetPriamosWebUserGroups", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebUserProfile = function (userId, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebLoginGetPriamosWebUserProfile.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebLogin/GetPriamosWebUserProfile", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebUserSubapps = function (userid, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userid === null || userid === undefined) {
            throw new Error('Required parameter userid was null or undefined when calling priamosWebLoginGetPriamosWebUserSubapps.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userid !== undefined && userid !== null) {
            queryParameters = queryParameters.set('userid', (userid));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebLogin/GetPriamosWebUserSubapps", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebLoginService.prototype.priamosWebLoginGetPriamosWebUserroleByUserId = function (userid, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userid === null || userid === undefined) {
            throw new Error('Required parameter userid was null or undefined when calling priamosWebLoginGetPriamosWebUserroleByUserId.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userid !== undefined && userid !== null) {
            queryParameters = queryParameters.set('userid', (userid));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebLogin/GetPriamosWebUserroleByUserId", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebLoginService;
}());
PriamosWebLoginService.decorators = [
    { type: core.Injectable },
];
PriamosWebLoginService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var PriamosWebMetadataService = /** @class */ (function () {
    function PriamosWebMetadataService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebMetadataService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_5 = __values(consumes), consumes_5_1 = consumes_5.next(); !consumes_5_1.done; consumes_5_1 = consumes_5.next()) {
                var consume = consumes_5_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_5_1) { e_5 = { error: e_5_1 }; }
        finally {
            try {
                if (consumes_5_1 && !consumes_5_1.done && (_a = consumes_5.return)) _a.call(consumes_5);
            }
            finally { if (e_5) throw e_5.error; }
        }
        return false;
        var e_5, _a;
    };
    PriamosWebMetadataService.prototype.priamosWebMetadataGetPriamosWebMessages = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebMetadata/GetPriamosWebMessages", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebMetadataService;
}());
PriamosWebMetadataService.decorators = [
    { type: core.Injectable },
];
PriamosWebMetadataService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var PriamosWebUserService = /** @class */ (function () {
    function PriamosWebUserService(httpClient, basePath, configuration) {
        this.httpClient = httpClient;
        this.basePath = 'http://localhost:5000';
        this.defaultHeaders = new http.HttpHeaders();
        this.configuration = new Configuration();
        if (basePath) {
            this.basePath = basePath;
        }
        if (configuration) {
            this.configuration = configuration;
            this.basePath = basePath || configuration.basePath || this.basePath;
        }
    }
    PriamosWebUserService.prototype.canConsumeForm = function (consumes) {
        var form = 'multipart/form-data';
        try {
            for (var consumes_6 = __values(consumes), consumes_6_1 = consumes_6.next(); !consumes_6_1.done; consumes_6_1 = consumes_6.next()) {
                var consume = consumes_6_1.value;
                if (form === consume) {
                    return true;
                }
            }
        }
        catch (e_6_1) { e_6 = { error: e_6_1 }; }
        finally {
            try {
                if (consumes_6_1 && !consumes_6_1.done && (_a = consumes_6.return)) _a.call(consumes_6);
            }
            finally { if (e_6) throw e_6.error; }
        }
        return false;
        var e_6, _a;
    };
    PriamosWebUserService.prototype.priamosWebUserAlive = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebUser/Alive", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserCreatePriamosWebUser = function (priamosWebUserDto, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (priamosWebUserDto === null || priamosWebUserDto === undefined) {
            throw new Error('Required parameter priamosWebUserDto was null or undefined when calling priamosWebUserCreatePriamosWebUser.');
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        var consumes = [
            'application/json'
        ];
        var httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.post(this.basePath + "/api/PriamosWebUser/CreatePriamosWebUser", priamosWebUserDto, {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserDeletePriamosWebUser = function (id, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (id === null || id === undefined) {
            throw new Error('Required parameter id was null or undefined when calling priamosWebUserDeletePriamosWebUser.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (id !== undefined && id !== null) {
            queryParameters = queryParameters.set('id', (id));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.delete(this.basePath + "/api/PriamosWebUser/DeletePriamosWebUser", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserGetPriamosWebUserById = function (id, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (id === null || id === undefined) {
            throw new Error('Required parameter id was null or undefined when calling priamosWebUserGetPriamosWebUserById.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (id !== undefined && id !== null) {
            queryParameters = queryParameters.set('id', (id));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebUser/GetPriamosWebUserById", {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserGetPriamosWebUsers = function (observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.get(this.basePath + "/api/PriamosWebUser/GetPriamosWebUsers", {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserUpdatePriamosWebUser = function (priamosWebUserDto, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (priamosWebUserDto === null || priamosWebUserDto === undefined) {
            throw new Error('Required parameter priamosWebUserDto was null or undefined when calling priamosWebUserUpdatePriamosWebUser.');
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        var consumes = [
            'application/json'
        ];
        var httpContentTypeSelected = this.configuration.selectHeaderContentType(consumes);
        if (httpContentTypeSelected != undefined) {
            headers = headers.set('Content-Type', httpContentTypeSelected);
        }
        return this.httpClient.put(this.basePath + "/api/PriamosWebUser/UpdatePriamosWebUser", priamosWebUserDto, {
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    PriamosWebUserService.prototype.priamosWebUserUpdatePriamosWebUserRole = function (userId, roleId, observe, reportProgress) {
        if (observe === void 0) { observe = 'body'; }
        if (reportProgress === void 0) { reportProgress = false; }
        if (userId === null || userId === undefined) {
            throw new Error('Required parameter userId was null or undefined when calling priamosWebUserUpdatePriamosWebUserRole.');
        }
        if (roleId === null || roleId === undefined) {
            throw new Error('Required parameter roleId was null or undefined when calling priamosWebUserUpdatePriamosWebUserRole.');
        }
        var queryParameters = new http.HttpParams({ encoder: new CustomHttpUrlEncodingCodec() });
        if (userId !== undefined && userId !== null) {
            queryParameters = queryParameters.set('userId', (userId));
        }
        if (roleId !== undefined && roleId !== null) {
            queryParameters = queryParameters.set('roleId', (roleId));
        }
        var headers = this.defaultHeaders;
        var httpHeaderAccepts = [
            'application/json'
        ];
        var httpHeaderAcceptSelected = this.configuration.selectHeaderAccept(httpHeaderAccepts);
        if (httpHeaderAcceptSelected != undefined) {
            headers = headers.set('Accept', httpHeaderAcceptSelected);
        }
        return this.httpClient.put(this.basePath + "/api/PriamosWebUser/UpdatePriamosWebUserRole", null, {
            params: queryParameters,
            withCredentials: this.configuration.withCredentials,
            headers: headers,
            observe: observe,
            reportProgress: reportProgress
        });
    };
    return PriamosWebUserService;
}());
PriamosWebUserService.decorators = [
    { type: core.Injectable },
];
PriamosWebUserService.ctorParameters = function () { return [
    { type: http.HttpClient, },
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [BASE_PATH,] },] },
    { type: Configuration, decorators: [{ type: core.Optional },] },
]; };
var APIS = [PriamosWebAssignmentService, PriamosWebConfigService, PriamosWebGroupService, PriamosWebLoginService, PriamosWebMetadataService, PriamosWebUserService];
var ApiModule = /** @class */ (function () {
    function ApiModule(parentModule, http$$1) {
        if (parentModule) {
            throw new Error('ApiModule is already loaded. Import in your base AppModule only.');
        }
        if (!http$$1) {
            throw new Error('You need to import the HttpClientModule in your AppModule! \n' +
                'See also https://github.com/angular/angular/issues/20575');
        }
    }
    ApiModule.forRoot = function (configurationFactory) {
        return {
            ngModule: ApiModule,
            providers: [{ provide: Configuration, useFactory: configurationFactory }]
        };
    };
    return ApiModule;
}());
ApiModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [],
                declarations: [],
                exports: [],
                providers: [
                    PriamosWebAssignmentService,
                    PriamosWebConfigService,
                    PriamosWebGroupService,
                    PriamosWebLoginService,
                    PriamosWebMetadataService,
                    PriamosWebUserService
                ]
            },] },
];
ApiModule.ctorParameters = function () { return [
    { type: ApiModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf },] },
    { type: http.HttpClient, decorators: [{ type: core.Optional },] },
]; };

exports.APIS = APIS;
exports.PriamosWebAssignmentService = PriamosWebAssignmentService;
exports.PriamosWebConfigService = PriamosWebConfigService;
exports.PriamosWebGroupService = PriamosWebGroupService;
exports.PriamosWebLoginService = PriamosWebLoginService;
exports.PriamosWebMetadataService = PriamosWebMetadataService;
exports.PriamosWebUserService = PriamosWebUserService;
exports.BASE_PATH = BASE_PATH;
exports.COLLECTION_FORMATS = COLLECTION_FORMATS;
exports.Configuration = Configuration;
exports.ApiModule = ApiModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=zeusautomation-priamosweb-angular-api.umd.js.map
